@Echo Regression test 8 bit file parity against Kermit-20 4.2(174) [2-May-85]
LCLT20:: @CHKPNT LCLT20
@Echo Local Kermit is latest version
@Terminal Ideal
@Get Kermit
@Info Ver
@Start
*Echo Condition Local Kermit-20
*CWD KT:
*PWD
*Echo It's a PTY and doesn't need to swallow flow control
*Set Flow None
*Echo Various parameters for OUTPUT/INPUT commands
*Set Prompt "Local-Kermit-20>"
*Set Input Default-Timeout 4.5
*Set Input Timeout-Action Quit 
*Set Input Search-Default "\r\n@"
*Echo Maximum packet length 4.2(174) Supports
*Show 94
*Set 94
*Set File Eight-Bit
*Echo Only check Parity on Packets
*Set Parity Even /Packets-Only /Parity-Checking
!4.2(174) Does not support pseudo-timing, so don't do it locally
!*Time NUL
!*Time Copy NUL PTY
*Log Session KT:K20P8R-LOCAL-SESSION
*Show Line
*Show Packet
*Show Timing
*Show Input
!
!
REMT20:: @CHKPNT LCLT20
!
*Echo Sign into remote system, mount structure, recondition terminal
*Connect pseudo-terminal /stay
*Input
*Echo Note, no password needed for same user id on a pseudo-terminal
*Output "slogin\r"
*Input
*Output "Terminal Ideal\r"
*Input
*Output "sm k20:\r"
*Input
!
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit-20 4.2(174) on remote job
!*Echo Can't do this, as it (silently) breaks older Kermit-20's
!*Output "Set NO Control-C-Capability\r"
!*Input
*Output "Get PS:<UNSUPPORTED>Kermit\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input  "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Set 94\r"
*Input
!
!4.2(174) Does not support pseudo-timing, so can't do these remotely
!*Output "Time NUL\r"
!*Input
!*Output "Time Copy NUL PTY\r"
!*Input
!
! Don't choke 4.2(174) flushing NAK's, either
!
!*Echo Note subsecond server NAK'ing!!!
!*Output "Set Receive Server-Timeout 0.3333 \r"
!*Input
!
*Echo Pseudo-terminal doesn't need any of that ^S/^Q baloney
*Output "Set Flow None\r"
*Input
!
!
*Echo Doing eight bit files
*Output "Set File Eight-Bit\r"
*Input
!
!
*Echo Condition Ye Olde Kermit to send parity
*Output "Set Parity Even\r"
*Input
!
!*Echo But now can't use Input, because characters are gubbish to a PTY
!*Clear /Display /Repeat 5,.33
!
!
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
!
*Output "\rSERVER\r\r"
*Input "BYE" 
*Input "\r\n" 
!*Clear /Display /Repeat 5,.33
!
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
!
!4.2(174) Does not implement PWD
!
!*Remote PWD
!
*Remote Space
!
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Kermit-20 4.2(174) does not implement NUL:, so don't use it
@GOTO CWDTST
!
*Echo Basic tests against NUL:
*Remote Dir NUL:
*Remote Type NUL:
*Remote Delete NUL:
*Echo NUL: looks deleted, but it's still there
*Remote Dir NUL:
*Remote CWD NUL:
*
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo We can get NUL:, but it doesn't get us much
*Get "NUL:" NUL:
*Statistics
!
!
CWDTST:: @CHKPNT CWDTST
!
*Echo Test Changing real directories
*Remote CWD "TOMMYT:<OINKY.HOLMES.ADVENTURES>" ""
!*Remote PWD
*Remote CWD ""
!*Remote PWD
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with 8 bit data files
*Remote CWD "TOMMYT:<OINKY>" ""
!*Remote PWD
*PWD
!	       
! Taken from K20B8P
!
DAPVAL:: @CHKPNT DAPVAL
*Echo A small comma seperated value file of DAP OS types
*Remote Directory "DAP-VALUES.CSV"
*Get "DAP-VALUES.CSV" DAP-VALUES.CSV;T
*Directory DAP-VALUES.CSV.*
*Statistics
!*Remote Status
!
GIGANT:: @CHKPNT GIGANT
*Echo Theme song to 1960's Gigantor MANGA (cartoon)
*Remote Directory "GIGANTOR.WAV"
*Get "GIGANTOR.WAV" GIGANTOR.WAV;T
*Directory GIGANTOR.WAV.*
*Statistics
!*Remote Status
!
HALFCH:: @CHKPNT HALFCH
*Echo Windows/NT of Half Chat application (which runs on OS/2, Unix, Etc.)
*Remote Directory "HALFCHAT.EXE"
*Get "HALFCHAT.EXE" HALFCHAT.EXE;T
*Directory HALFCHAT.EXE.0
*Statistics
!*Remote Status
!
PDFSEC:: @CHKPNT PDFSEC
*Echo Analysis of security on Adobe PDF files
*Remote Directory "PDFSECURITY.PDF"
*Get "PDFSECURITY.PDF" PDFSECURITY.PDF;T
*Directory PDFSECURITY.PDF.0
*Statistics
!*Remote Status
!
TIGHTV:: @CHKPNT TIGHTV
*Echo An old copy of Tight VNC for Windows/NT
*Remote Directory "TIGHTVNC-1_3_9-SETUP.EXE"
*Get "TIGHTVNC-1_3_9-SETUP.EXE" TIGHTVNC-1_3_9-SETUP.EXE;T
*Directory TIGHTVNC-1_3_9-SETUP.EXE.0
*Statistics
!*Remote Status
!
VNCVIE:: @CHKPNT VNCVIE
*Echo An old copy of VNC Viewer for Windows/NT
*Remote Directory "VNCVIEWER.EXE"
*Get "VNCVIEWER.EXE" VNCVIEWER.EXE;T
*Directory VNCVIEWER.EXE.*
*Statistics
!*Remote Status
!
!
!
DONE:: @CHKPNT DONE
*Echo Done with remote tests, exit the remote Kermit
*Remote Space
*Show Line
*Remote CWD "TOMMYT:<OINKY>" ""
*
*Finish
*Pause 2
!
!
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Show Input
*Output "\R"
*Clear/Display/Repeat 5,.54
!
FINREM:: @CHKPNT FINREM
!
*Echo Show Remote Processor Time Used
*Output "Info Fork\R"
*Input
*Echo Log the remote job out
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Session
*Connect Close
*echo No terminal fork to kill since never started one
*echo Connect Kill
*Quit
@Info Fork
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred small files against known originals
@Info Job
@VD *.*.0 /since:today
@Define O:  PS:<OINKY>
@Define D:    DAP-VALUES.CSV.0
@Define OD: O:DAP-VALUES.CSV.0
@Define G:    GIGANTOR.WAV.
@Define OG: O:GIGANTOR.WAV.0
@Define H:    HALFCHAT.EXE.0
@Define OH: O:HALFCHAT.EXE.0
@Define P:    PDFSECURITY.PDF.0
@Define OP: O:PDFSECURITY.PDF.0
@Define T:    TIGHTVNC-1_3_9-SETUP.EXE.0
@Define OT: O:TIGHTVNC-1_3_9-SETUP.EXE.0
@Define V:    VNCVIEWER.EXE
@Define OV: O:VNCVIEWER.EXE
@Set Trap File
@FILCOM
*TTY:=D:,OD:/W/Q
*TTY:=G:,OG:/W/Q
*TTY:=H:,OH:/W/Q
*TTY:=P:,OP:/W/Q
*TTY:=T:,OT:/W/Q
*TTY:=V:,OV:/W/Q
=
PORKY:: @CHKPNT PORKY
@Modify Batch K20RDC /Dep:0
@Echo That's all Folks!
