@Echo Regression decode against Kermit-20 4.2(174) [2-May-85]
LCLT20:: @CHKPNT LCLT20
@Echo Local Kermit is latest version
@Terminal Ideal
@Terminal No Parity
@Get K20:Kermit
@Info Version
@Start
!
*Echo Condition Local Kermit-20
*CWD KT:
*PWD
*Echo It's a PTY and doesn't need to swallow flow control
*Set Flow None
*Echo Various parameters for OUTPUT/INPUT commands
*Set Prompt "Local-Kermit-20>"
*Set Input Default-Timeout 4.5
*Set Input Timeout-Action Quit 
*Set Input Search-Default "\r\n@"
*Echo Maximum packet length 4.2(174) Supports
*Show 94
*Set 94
!
*Echo Set up packet logging, first with no decoding
*Set Debugging Packets
*Log Debugging KT:K20RDC-LOCAL-OLD-DECODE.LOG
*Log Session KT:K20RDC-LOCAL-SESSION.LOG
!
*Show Line
*Show Debugging
*Show Packet
*Show Timing
*Show Input
!
!
REMT20:: @CHKPNT REMT20
!
*Echo Sign into remote system, mount structure, recondition terminal
*Connect pseudo-terminal /stay
*Input
*Echo Note, no password needed for same user id on a pseudo-terminal
*Output "slogin\r"
*Input
*Output "Terminal Ideal\r"
*Input
*Output "Terminal No Parity\r"
*Input
*Output "SMNT k20:\r"
*Input
!
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit-20 4.2(174) on remote job
*Output "Get PS:<UNSUPPORTED>Kermit\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input  "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Set 94\r"
*Input
*Output "Set Flow None\r"
*Input
!
!
*Echo Set up remote logging, also
*Output "Set Debugging Packets\r"
*Input
*Output "Log Debugging KT:K20RDC-REMOTE-OLD-PACKETS.LOG\r"
*Input
!
!
*Output "Show Line\r"
*Input
*Output "Show Debugging\r"
*Input
*Output "Show Packet\r"
*Input
*Output "Show Timing\r"
*Input
!
*Output "\rSERVER\r\r"
*Input "BYE" 
*Input "\r\n" 
*Pause 2
*Clear /Display /Repeat 2,.5
!
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with data files
*Set Debugging Packets /Decode
*Show Debugging
*Remote CWD "TOMMYT:<OINKY.WILDE.CANTERVILLE>" ""
!
! 4.2(174) Does not implement REMOTE STATUS
!
*Echo This is the Gutenberg ASCII text of The Ghost of Canterville by Oscar Wilde 
!
OTITLE:: @CHKPNT OTITLE
*Echo /Debug "Remote Kermit-20 4.2(174) sending with no local decode"
*Set Debugging Packets
*GET "TITLE-PAGE.TXT" TITLE-PAGE-OLD.TXT;T
*Statistics
*Echo /Debug "Remote Kermit-20 4.2(174) WITH decoding"
*Set Debugging Packets /Decode
*GET "TITLE-PAGE.TXT" NUL:
*Statistics
!
!
OMGETN:: @CHKPNT OMGETN
*Echo /Debug "Wildcard (multiple) get to local NUL:, no decoding"
*Close Debug
*Set Debug Off
*GET "*.TXT.0" NUL:
*Statistics
!
!
DONOLD:: @CHKPNT DONOLD
*Echo Done with remote tests against Kermit-20 4.2(174)
*Finish
*Pause 2
*Show Input
*Output "\R"
*Input "\@\r\n\@"
*Output "Info Fork\r"
*Input "\r\n\@"
!
! Run same transfer with latest Kermit
!
!
NEWKER:: @CHKPNT NEWKER
*Output "Reset *\r\r"
*Input "\r\n\@"
*Echo Start latest Kermit-20 on remote job
*Output "Get K20:Kermit\r"
*Input "\r\n\@"
*Output "Info Ver\r"
*Input "\r\n\@"
*Output "Start\r"
*Input  "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Set 94\r"
*Input
*Output "Set Flow None\r"
*Input
!
!
*Echo Set up remote logging, also
!*Output "Set Debugging Packets /Decode\r"
!*Input
!*Output "Log Debugging KT:K20RDC-REMOTE-NEW-DECODE.LOG\r"
!*Input
!*Output "Log Session KT:K20RDC-REMOTE-SESSION-NEW.LOG\r"
!*Input
!
!
*Output "Show Line\r"
*Input
*Output "Show Debugging\r"
*Input
*Output "Show Packet\r"
*Input
*Output "Show Timing\r"
*Input
!
!
*Output "\rSERVER\r\r"
*Input "BYE" 
*Input "\r\n" 
*Pause 2
*Clear /Display /Repeat 2,.5
!
!
NTITLE:: @CHKPNT NTITLE
*Set Debugging Packets /Decode
*Log Debugging KT:K20RDC-LOCAL-NEW-DECODE.LOG
*Show Debugging
*Remote CWD "TOMMYT:<OINKY.WILDE.CANTERVILLE>" ""
*Echo /Debug "New Kermit-20 sending the same file without decoding"
*Set Debugging Packets
*GET "TITLE-PAGE.TXT" TITLE-PAGE-NEW.TXT;T
*Statistics
*Remote Status
*Set Debugging Packets /Decode
*Echo /Debug "New Kermit-20 sending the same file WITH decoding"
*GET "TITLE-PAGE.TXT" NUL:
*Statistics
*Remote Status
!
NMGETN:: @CHKPNT NMGETN
*Echo /Debug "Wildcard (multiple) get to local NUL:, no decoding"
*Close Debug
*Set Debug Off
*GET "*.TXT.0" NUL:
*Statistics
*Remote Statistics
!
!
!
DONNEW:: @CHKPNT DONNEW
*Echo Done with remote tests against newest Kermit-20
*Finish
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Pause 2
*Show Input
*Output "\R"
*Input "\@\r\n\@"
!
!
FINREM:: @CHKPNT FINREM
!
*Echo Show Remote Processor Time Used
*Output "Info Fork\R"
*Input
*Echo Log the remote job out
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close All
*Connect Close
*echo No terminal fork to kill since never started one
*echo Connect Kill
*Quit
@Info Fork
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred small files against known originals
@Info Job
@VD TITLE*.TXT.0 /since:today
@Define OWC:     TOMMYT:<OINKY.WILDE.CANTERVILLE>
@Define TITLE:   OWC:TITLE-PAGE.TXT
@Define OTITLE:  TITLE-PAGE-OLD.TXT
@Define NTITLE:  TITLE-PAGE-NEW.TXT
@Set Trap File
@FILCOM
*TTY:=TITLE:,OTITLE:
*TTY:=TITLE:,NTITLE:
=
!
!
PORKY:: @CHKPNT PORKY
@VD KT:K20RDC*.*.0
@Echo That's all Folks!

